#!/bin/sh

LANG=ja_JP.eucJP; export LANG
SRC_FILES="corpus.1.txt corpus.3.txt corpus.5.txt corpus.x.txt"


cat <<_EOS_ > corpus.y.txt
#
# This file was generated from corpus.{1,3,5,x}.txt by $0.
#
# 2ʸʾʸ 1ʸᤴȤʬ䤷
#
# |餷||| ||ī|褿|
#     
# |餷| ||
# || |ī|
# || |褿|
# 
_EOS_

for fy in ${SRC_FILES}
do
   awk '/^\|/{
      m1=split($1,yomi,"|")
      m2=split($2,kekka,"|")
#      m3=split($3,code,"|")
#      if ( m1 != m2 || m2 != m3){
      if ( m1 != m2 ){
         print FILENAME": "FNR": Number of fields is unmatch" > "/dev/stderr"
      } else if ( m1 > 3 ){
         for (i=2; i <= (m1-1); i++){
#            print "|"yomi[i]"| |"kekka[i]"| |"code[i]"|"
            print "|"yomi[i]"| |"kekka[i]"|"
         }
      }
   }' ${fy}
done |\
sort | uniq >> corpus.y.txt


cat <<_EOS_ > corpus.z.txt
#
# This file was generated from corpus.{1,3,5,x}.txt by $0.
#
# 3ʸʾʸ 2ʸᤴȤʬ䤷
#
# |餷||| ||ī|褿|
#     
# |餷|| ||ī|
# ||| |ī|褿|
# 
_EOS_

for fz in ${SRC_FILES}
do
   awk '/^\|/{
      n1=split($1,yomi,"|")
      n2=split($2,kekka,"|")
#      n3=split($3,code,"|")
#      if (n1 != n2 || n2 != n3){
      if (n1 != n2 ){
         print FILENAME": "FNR": number of fields is unmatch" > "/dev/stderr"
      } else if (n1 > 4){
         for(i=2; i <= (n1-2); i++){
#            print "|"yomi[i]"|"yomi[i+1]"| |"kekka[i]"|"kekka[i+1]"| |"code[i]"|"code[i+1]"|"
            print "|"yomi[i]"|"yomi[i+1]"| |"kekka[i]"|"kekka[i+1]"|"
         }
      }
   }' ${fz}
done |\
sort | uniq >> corpus.z.txt



